Problems with PHP8 - latest XAMPP Version

Having trouble installing serendipity?
Post Reply
tobisfr
Posts: 1
Joined: Thu Jan 14, 2021 11:26 am

Problems with PHP8 - latest XAMPP Version

Post by tobisfr » Thu Jan 14, 2021 11:29 am

Hi,

just trying to install with the latest XAMPP8 Version under Windows / PHP8.

Running a fresh copy of Version 2.3.5 shows a lot of errors "undefined array key"

An suggestions?

Regards,
Tobi

Code: Select all

Warning: Undefined array key "charset" in C:\xampp\htdocs\s9y\include\compat.inc.php on line 429

Warning: Undefined array key "charset" in C:\xampp\htdocs\s9y\include\compat.inc.php on line 429

Warning: Undefined array key "dbType" in C:\xampp\htdocs\s9y\include\db\db.inc.php on line 6

Warning: Undefined array key "is_iframe" in C:\xampp\htdocs\s9y\include\functions_config.inc.php on line 799

Warning: Undefined array key "serendipityAuthedUser" in C:\xampp\htdocs\s9y\include\functions_config.inc.php on line 675

Warning: Undefined array key "action" in C:\xampp\htdocs\s9y\serendipity_admin.php on line 81

Warning: Undefined array key "versionInstalled" in C:\xampp\htdocs\s9y\include\admin\installer.inc.php on line 31

Warning: Undefined array key "step" in C:\xampp\htdocs\s9y\include\admin\installer.inc.php on line 96

Warning: Undefined array key "step" in C:\xampp\htdocs\s9y\include\admin\installer.inc.php on line 98

Warning: Undefined variable $showWritableNote in C:\xampp\htdocs\s9y\include\admin\installer.inc.php on line 305

Warning: Undefined array key "smarty" in C:\xampp\htdocs\s9y\include\admin\installer.inc.php on line 358

Warning: Undefined array key "template" in C:\xampp\htdocs\s9y\include\functions_smarty.inc.php on line 893

Warning: Undefined array key "template" in C:\xampp\htdocs\s9y\include\serendipity_smarty_class.inc.php on line 126

User avatar
onli
Regular
Posts: 2433
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: Problems with PHP8 - latest XAMPP Version

Post by onli » Thu Jan 14, 2021 9:13 pm

Serendipity is not ready for PHP 8 yet, sorry. Please stick to PHP 7 for now.

Post Reply